//
// Obliczanie modulo z dowolnie duzej liczby
//
// www.algorytm.org
// (c)2006 Tomasz Lubinski
//

public class MOD {
	
	public static int modulo(String n, int m) {
		   int i;
		   int result = 0;
		   String x = "";

		   for (i=0; i<n.length(); i++) {
			  if (result == 0) {
				  x = String.valueOf(n.charAt(i));
			  }
			  else {
				  x = String.valueOf(result) + n.charAt(i);
			  }
		      result = Integer.parseInt(x);
		      result %= m;
		   }

		   return result;
		}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		//510007547061111400 mod 97 = 36
		System.out.println("510007547061111400 mod 97 = " + modulo("510007547061111400", 97));

		//1295302 mod 7 = 1
		System.out.println("1295302 mod 7 = " + modulo("1295302", 7));
	}

}
